Package twisted :: Package web :: Module widgets :: Class TitleBox |
[frames | no frames]

## Class TitleBox

      Widget --+
               |
    Presentation --+
                   |
                  TitleBox

Method Summary
| ``__init__`(self, title, widget)` Wrap a widget with a given title.
Inherited from Presentation
| ``addClassVars`(self, namespace, Class)`
| ``addVariables`(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| ``formatTraceback`(self, tb)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `borderColor` = `'#000000'`
`str` | `boxColor` = `'#ffffff'`
`str` | `boxTextColor` = `'#000000'`
`str` | `template` = `'<table %%%%self.widthOption%%%% cellpadding=...`
`str` | `title` = `'No Title'`
`str` | `titleTextColor` = `'#ffffff'`
`str` | `widget` = `'No Widget'`
`str` | `widthOption` = `'width="100%"'`
Inherited from Presentation
`str` | `world` = `"you didn't assign to the 'template' attribute"`

Method Details

### __init__(self, title, widget) (Constructor) Wrap a widget with a given title. Overrides: `twisted.web.widgets.Presentation.__init__`

Class Variable Details

    ### borderColor Type: `str` Value:
        '#000000'

    ### boxColor Type: `str` Value:
        '#ffffff'

    ### boxTextColor Type: `str` Value:
        '#000000'

    ### template Type: `str` Value:
        '<table %%%%self.widthOption%%%% cellpadding="1" cellspacing="0" borde\
        r="0"><tr><td bgcolor="%%%%self.borderColor%%%%"><center><font color="\
        %%%%self.titleTextColor%%%%">%%%%self.title%%%%</font></center><table \
        width="100%" cellpadding="3" cellspacing="0" border="0"><tr><td bgcolo\
        r="%%%%self.boxColor%%%%"><font color="%%%%self.boxTextColor%%%%">%%%%\
        self.widget%%%%</font></td></tr></table></td></tr></table>'

    ### title Type: `str` Value:
        'No Title'

    ### titleTextColor Type: `str` Value:
        '#ffffff'

    ### widget Type: `str` Value:
        'No Widget'

    ### widthOption Type: `str` Value:
        'width="100%"'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net